<?php

//Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta. 

spl_autoload_register(function ($class_name) {
    $servroot = $_SERVER['DOCUMENT_ROOT'];
    $servweb = $_SERVER['HTTP_HOST'];

    if (file_exists($servroot . "/asset/mod/" . $class_name . ".php")) {
        require $servroot . "/asset/mod/" . $class_name . ".php";
    } elseif (file_exists("./asset/mod/" . $class_name . ".php")) {
        require "./asset/mod/" . $class_name . ".php";
    } elseif (file_exists("../asset/mod/" . $class_name . ".php")) {
        require "../asset/mod/" . $class_name . ".php";
    } elseif (file_exists("../../asset/mod/" . $class_name . ".php")) {
        require "../../asset/mod/" . $class_name . ".php";
    } elseif (file_exists("../../../asset/mod/" . $class_name . ".php")) {
        require "../../../asset/mod/" . $class_name . ".php";
    } elseif (file_exists("../../../../asset/mod/" . $class_name . ".php")) {
        require "../../../../asset/mod/" . $class_name . ".php";
    } elseif (file_exists("../../../../../asset/mod/" . $class_name . ".php")) {
        require "../../../../../asset/mod/" . $class_name . ".php";
    } else {
        require "../../../../../../asset/mod/" . $class_name . '.php';
    };
});
